html {
    scroll-behavior: smooth;
}

* {
    overflow-x: hidden;
    font-family: 'Roboto', sans-serif !important;
}

/*Start header*/
ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
    overflow: hidden;
    display: flex;
    width: 100%;
    background-color: transparent !important;
    z-index: 99;
}

/*nav link list items*/
.nav-links ul li {
    display: block;
    transition: all 1s ease;
}

/*div of navlinks*/
.nav-links {
    z-index: 2;
    transition: 0.5s ease;
}

li.navbar a {
    display: block;
    padding: 12px 24px;
    text-decoration: none !important;
    font-size: 2.5vh;
    transition: all 0.15s ease;
}

/*header*/
ul {
    position: absolute;
    top: 0;
    margin-right: 5vh;
    transition: ease-in-out .5s;
}

li {
    list-style: none;
    display: inline-block;
    margin: 0 20px 0 20px;
}

#menu ul {
    position: fixed;
}

.navItem {
    color: white;
    font-size: 16px !important;
    text-decoration: none;
    list-style: none;
}

#menu li a{
    color: white;

}

 #menu li a:hover {
     text-decoration: underline #FF4A57 5px !important;
     transition: ease-in-out 0.6s;
 }

ul.scrolled{
    background-color: white !important;
    transition: ease-in-out .5s;
    box-shadow: 0 3px 1rem rgba(0,0,0.1);
}

.scrolled  .navItem{
    color: black !important;
}

/*hide icon in desktop*/
#menuButtonClosed, #menuButtonOpen {
    display: none;
}
/*End header*/

/*Start section*/
section {
    width: 100%;
    height: auto;
    padding-bottom: 30px;
}

/*Home section*/
#Home {
    display: flex;
    background-color: #212934;
    padding-bottom: 0;
}

/*portretfoto homepage*/
.homeImg {
    height: auto;
    width: 470px;
    margin-left: auto;
    margin-right: auto;
}

/*Naam op homepage*/
#homeTitle {
    color: white;
    font-family: 'Roboto', sans-serif;
    left: 80px;
    font-size: 156px;
    width: auto;
    margin-top: auto;
    margin-bottom: auto;
    overflow: hidden;
    line-height: 1;
}

/*grid wrapper*/
.wrapper {
    display: grid;
    grid-template-columns: auto auto  auto;
    margin-top: auto;
    margin-left: 75px !important;
    width: 100%;
}

/*homePage introduction text*/
.text {
    color: white;
    font-size: 23px;
    margin-right: 21px;
}

/*text rechterkant met media linkjes*/
.introductionText {
    margin-bottom: auto;
    margin-top: auto;
}

a {
    text-decoration: none !important;
}

.mediaLink {
    margin-right: 15px;
}

/*About me page*/
#aboutMe{
    background-color: #151D27;
}

.bornText , .experienceColored, .birthColoured{
    color: #FF4A57;
    font-weight: bold;
}

.bornCity{
    margin-left: auto;
    margin-right: auto;
}

.experience{
    text-align: center;
    margin: 0 20px;
}

.birthDate{
    text-align: end;
    margin-left: auto;
    margin-right: auto;
}
.city, .years, .Date{
    color: white;
}

.information {
    display: grid;
    grid-template: auto/ minmax(0, 1fr) minmax(0, 1fr) minmax(0, 1fr);
    justify-content: center;
    margin: 7% 20px 0 20px;
}

.centerText{
    height: 453px;
    margin-bottom: auto;
}

.aboutWrapper{
    display: grid;
    grid-template: auto/ minmax(0,1fr);
}

.aboutCenter{
    color: white;
    display: grid;
    grid-template: auto / minmax(0,1fr) minmax(0,1fr);
    place-items: center;
    margin-top: 3%;
}

.title{
    font-size: 75px;
    overflow-y: hidden;
    margin: 0 ;
    color: white;
}

.aboutMeText{
    font-size: 20px;
}

.aboutMeIMG{
    grid-row: span 2;
}

/*Skills section*/
#Skills{
    background-color: #212934;
}

#skillsWrapper{
    display: grid;
    grid-template: auto / minmax(0,1fr) minmax(0,1fr);
    color: white;
    place-items: center;
}

#images{
    display: grid;
    grid-template-columns: auto auto auto;
    grid-column-gap: 20px;
    grid-row-gap: 40px;
}

.SkillsTest{
    margin-top: 80px;
    margin-bottom: 80px;
}

/*projects section*/
#Projects{
    background-color: #151D27;
    padding-top: 50px;
    display: grid;
    grid-template: auto/ minmax(0,1fr) minmax(0,1fr);
}
.projectsIMG{
    display: grid;
    grid-template-columns: repeat(3, 250px);
    place-content: center;
    margin-bottom: 25px;
    grid-gap: 25px;
}

.imgWrap {
    position: relative;
}

.projectsImage {
    display: block;
}

.company{
    font-size: 23px;
    font-weight: bold;
}
.program{
    font-size: 18px;

}

.projectsText{
    color: white;
    font-size: 20px;
}

#Projects{
    place-items: center;
}

.projectsLeft{
    height: 525px;
}

.overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.6);
    color: white;
    font-family: 'Quicksand', sans-serif;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    opacity: 0;
    transition: 0.3s;
    overflow-y: hidden;
    font-size: 35px;
}

.overlay:hover {
    opacity: 1;
}

.overlay > .buttons {
    transform: translateY(90px);
    transition: transform 0.25s;
}

.overlay > .overlayTitle {
    transform: translateY(-90px);
    transition: 0.25s;
}

.overlay-blur {
    backdrop-filter: blur(5px);
}

.overlay:hover > .buttons {
    transform: translateY(45px);
}

.overlay:hover > .overlayTitle {
    transform: translateY(0px);
}

.projectLink{
    color: #FF4A57;
    text-decoration: underline #FF4A57 2px !important;
}

.projectLink:hover{
    text-decoration: none !important;
    color: #FF4A57;
}
/*Contact page*/
#Contact{
    background-color: #212934;
    padding-top: 90px;
}

.container{
    position: relative;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 20px 100px;
}

.contact-box{
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    justify-content: center;
    align-items: center;
    text-align: center;
    background-color: #fff;
    box-shadow: 0 0 19px 5px rgba(0,0,0,0.19);
}

.left{
    background: url("IMG/Contact/contactForm.jpg") no-repeat center;
    background-size: cover;
    height: 100%;
}

.right{
    padding: 25px 40px;
}

.ContactTitle{
    position: relative;
    padding: 0 0 10px;
    margin-bottom: 10px;
}

.ContactTitle:after{
    content: '';
    position: absolute;
    left: 50%;
    bottom: 0;
    transform: translateX(-50%);
    height: 4px;
    width: 50px;
    border-radius: 2px;
    background-color: #FF4A57;
}

.field{
    width: 100%;
    border: 2px solid rgba(0, 0, 0, 0);
    outline: none;
    background-color: rgba(230, 230, 230, 0.6);
    padding: 0.5rem 1rem;
    font-size: 1.1rem;
    margin-bottom: 22px;
    transition: .3s;
    border-radius: 13px;
}

.field:hover{
    background-color: rgba(0, 0, 0, 0.1);
}

textarea{
    min-height: 150px;
}

.btn{
    background-color: #FF4A57;
    width: 100% !important;
    padding: 0.5rem 1rem;
    color: #fff;
    font-size: 1.1rem;
    border: none;
    outline: none;
    transition: .3s;
}

.btn:hover{
    background-color: #FF4A57;
}

.field:focus{
    border: 2px solid #FF4A57;
    background-color: #fff;
}


/*footer*/
footer{
    margin-top: 35px;
}

#footer{
    height: auto;
    background-color: #151D27;
    color: white;
    text-align: center;
    overflow: hidden;
}

h3{
    overflow: hidden;
    font-size: 16px !important;
    margin-top:18px !important;
}


/*header & navbar*/
@media (max-width: 900px) {

    body#menuButtonOpen {
        overflow-y: hidden;
    }

    /*nav link list items*/
    .nav-links ul li {
        display: block;
        transition: all 1s ease;

    }

    /*div of navlinks / white background of mobile nav bar*/
    .nav-links {
        position: fixed;
        background: white;
        height: 100%;
        width: 0;
        top: 0;
        right: 0;
        text-align: left;
        z-index: 2;
        border-top-left-radius: 10px;
        border-bottom-left-radius: 10px;
        transition: linear 0.3s;
    }

    /*start nav bar opening*/
    .navItem {
        overflow: hidden;
        background-color: transparent;

    }

    /*normal open text button*/
    #menuButtonClosed {
        color: #f2f2f2;
        text-decoration: none;
        margin: 4vh 1.5vh 4vh 4vh;
        font-size: 40px;
        display: block;
        position: fixed;
        right: 0;
        top: 0;
        transition: all 1s ease-out;
        background-color: transparent;
        z-index: 1;

    }

    #menuButtonOpen {
        color: black;
        text-decoration: none;
        margin: 4vh 1.5vh 4vh 4vh;
        font-size: 40px;
        display: block;
        position: absolute;
        z-index: 99;
        right: 0;
        top: 0;
        transition: all 1s ease-out;
        background-color: transparent;
    }

    .topnav.responsive li a.navItem {
        display: block;
        text-align: left;
        margin-left: auto;
        margin-right: auto;
        transition: all 0.5s ease;
        height: 29px;
        padding: 15px 15px;
    }

    li.navbar a {
        font-size: 4vh;
        text-align: left;
    }

    /*end nav bar opening*/
    header {
        grid-template: none;
    }

    #menu {
        margin-top: 14vh;
        width: 100%;
        margin-right: auto;
        margin-left: auto;
    }

    #menu li a {
        color: black;
        text-align: center;
        font-size: 25px;
    }

    #menu li a:hover{
        text-decoration: none !important;
    }

    #menu ul {
        position: absolute;
    }

    ul {
        display: inline-block;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        padding-left: 0 !important;
    }

    .navbar {
        width: 100%;
        text-align: center;
        margin: 2px;
        background-color: transparent;
    }

    .navbar a {
        border-radius: 25px;
        font-size: 24px;
        transition: all 0.5s ease-out;
    }

    .listItem {
        width: 96%;
    }

    ul.scrolled{
        background-color: white !important;
        transition: none !important;
        box-shadow: none !important;
    }
}

/*homepage*/
@media (max-width: 700px) {
    .wrapper {
        display: grid;
        grid-template: auto /minmax(0, 1fr) !important;
        margin-top: auto;
        margin-left: 13px !important;
    }

    #homeTitle {
        font-size: 80px;
        line-height: 1;
    }

    .homeImg {
        width: 293px;
        grid-row-start: 3 !important;
    }

    .introductionText{
        grid-row-start: 2 !important;
        grid-column-start: 1 !important;
        text-align: left ;
    }

    .mediaWrapper{
        margin-bottom: 13px;
    }

    /*normal open text button*/
    #menuButtonClosed {
        margin: 4vh 1.5vh 4vh 4vh;
    }

    #menuButtonOpen {
        margin: 4vh 1.5vh 4vh 4vh;
    }
}

@media (max-width:900px){
    #homeTitle{
        grid-column-start: 1;
        margin-bottom: auto;
    }

    .wrapper {
        display: grid;
        grid-template: auto /minmax(0, 1fr) minmax(0, 1fr);
        margin-left: 0;
    }

    .homeImg{
        grid-row-start: 2;
    }

    .introductionText{
        grid-row-start: 2;
    }
}

@media (max-width: 1024px) {

    .wrapper{
    grid-template-columns: auto ;
    margin-top: 50px;
}

    #homeTitle{
    font-size: 120px;
}

    .introductionText{
    grid-row-start: 1;
    grid-column-start: 2;
}

    .homeImg{
    grid-column: span 2;
}
}

@media(min-width: 1024px){
    #homeTitle{
    font-size: 100px;
}
}

@media (min-width: 1442px) {
    #homeTitle{
    font-size: 156px;
}

    .homeImg{
    margin-left: 0;
}
}

@media (min-width: 1500px) {
    #homeTitle{
    font-size: 156px;
}
}


/*projects page*/

@media (max-width: 1350px){
    #Projects{
        grid-template-columns: auto;
    }
    .projectsIMG{
        grid-template-columns: repeat(3, 250px);
    }

    .projectsImage{
        width: 250px;
        height: 250px;
    }

    .projectsLeft{
        height: auto !important;
    }
}
@media (max-width: 1550px) {
    .projectsIMG{
        grid-template-columns: repeat(3,215px);
    }

    .projectsImage{
        height: 215px;
        width: 215px;
    }

    .btnProjects{
        width: 70px!important;
    }
    .overlay:hover > .buttons {
        transform: translateY(30px);
    }

}

@media (max-width: 720px) {
    #Projects{
        grid-template-columns: auto;
    }
    .projectsIMG{
        grid-template-columns: repeat(2, 250px) !important;
        margin-top: 20px;
    }
    .projectsImage{
        height: 250px !important;
        width: 250px !important;
    }

    .projectsLeft{
        height: auto !important;
        margin: 0 20px;
    }
}

@media (max-width: 780px){
    .projectsImage{
        width: 230px;
        height: 230px;
    }

    .projectsIMG{
        grid-template-columns: repeat(3,230px) ;
    }

    .btnProjects{
        width: 70px !important;
    }

    .overlay:hover > .buttons {
        transform: translateY(30px);
    }

    .company {
        font-size: 23px !important;
    }

    .program{
        font-size: 18px;
    }
}

@media (max-width: 500px) {
    .projectsIMG{
        grid-template-columns: auto!important;
        grid-row-gap: 50px
    }

    .projectsText{
        font-size: 18px!important;
        margin: 0 20px;
    }
    .projectsTitle{
        margin: 0 20px;
    }

    .projectsImage{
        width: 100%!important;
        height: 100% !important;
    }

    .btnProjects{
        width: 150px!important;
    }
    .company{
        font-size: 38px !important;
    }

    .program{
        font-size: 20px !important;
    }
    .overlay:hover > .buttons {
        transform: translateY(80px);
    }
}
/*contact page*/
@media (max-width: 580px) {

    .formName{
        display: block !important;
    }

    .col-3{
        width: 100% !important;
    }

    .container{
        width: 90% !important;
    }
}
@media (max-width: 768px){
    .contact-box{
        grid-template-columns: 1fr;
    }
    .left{
        height: 321px;
    }
}

/*About me page*/
@media (max-width: 390px){
    .aboutMeIMG{
        width: 330px;
        height: 230px;
    }

    #homeTitle{
        font-size: 80px !important;
    }
}

@media (max-width: 450px) {
    .information{
        display: grid;
        place-content: center;
        grid-template: auto / minmax(0,1fr);
        text-align: center;
    }

    .birthDate{
        text-align: center;
    }
}

@media (max-width: 500px) {

    .aboutWrapper{
        margin: 0 20px;
    }
    .aboutMeIMG{
        width: 370px;
        height: 270px;
        margin-bottom: 19px;
    }

    #aboutMe{
        height: auto;
    }
    .test{
        margin-left: 8px;
        height: auto;
    }

    .title{
        font-size: 70px !important;
        line-height: 1;
    }

    .aboutMeText{
        font-size: 18px !important;
    }

    br{
        display: none;
    }
}

@media (max-width: 1150px) {
    .aboutCenter{
        display: grid;
        grid-template: auto / minmax(0,1fr) !important;
        margin-top: 0 !important;
    }
    .aboutMeIMG{
        grid-row: span 1 !important;
        width: 450px;
        height: 350px;
    }

    .centerText{
        margin-left: 10px;
        height: auto;
    }
}

/*Skills page*/
@media (max-width: 1150px) {
    #skillsWrapper{
        display: grid;
        grid-template: auto / minmax(0,1fr) !important;
        margin-top: 0 !important;
        margin: 0 20px;
    }

    .centerText{
        margin-left: 10px;
        height: auto;
    }

    .SkillsTest{
        grid-row-start:1 ;
    }

    #images{
        grid-row-start: 2;
        margin-bottom: 20px;
    }
}

@media (max-width: 500px){
    #skillsWrapper{
        margin: 0 20px;
    }

    #images{
        grid-column-gap: 0 ;
    }
}

